HPE Greenlake For Block Storage REST APIs
HPE Greenlake For Block Storage REST APIs (1.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/
Bodyapplication/jsonrequired
Unique identifier of host group.
Example: "fd3244ef7f1ab8bd16500c7a41bdf8f8"
- https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/clone
- https://us1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/clone
- https://jp1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/clone
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/clone
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/7CE751P312/snapshots/a7c4e6593f51d0b98f0e40d7e6df04fd/clone \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"destinationVolume": "destinationVol1"
}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
- https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/export
- https://us1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/export
- https://jp1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/export
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/export
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/7CE751P312/snapshots/a7c4e6593f51d0b98f0e40d7e6df04fd/export \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"hostGroupIds": [
"string"
]
}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
Bodyapplication/jsonrequired
Enum"PARENT_TIMESTAMP""PARENT_SEC_SINCE_EPOCH""CUSTOM"
Name for snapshot. For the HPE Alletra Storage MP B10000 systems, the maximum supported length is 31 characters in OS versions up to 10.4.0. For the OS version 10.4.2 and above, this limit is 255 characters.
Example: "snap1"
- https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/snapshots
- https://us1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/snapshots
- https://jp1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/snapshots
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{snapshotId}/snapshots
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/7CE751P312/snapshots/a7c4e6593f51d0b98f0e40d7e6df04fd/snapshots \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"namePattern": "PARENT_TIMESTAMP"
}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }